Merge "Updates to Renderer"
authorCédric Ollivier <ollivier.cedric@gmail.com>
Mon, 21 Aug 2017 16:30:39 +0000 (16:30 +0000)
committerGerrit Code Review <gerrit@opendaylight.org>
Mon, 21 Aug 2017 16:30:39 +0000 (16:30 +0000)
.gitignore
.gitmodules [new file with mode: 0644]
tests/build.sh [new file with mode: 0755]
tests/mdsal [new submodule]
tests/netconf [new submodule]
tests/start.sh [new file with mode: 0755]

index 0a8d0ffa0438e2ac5d7d433755a9f081f9207e52..e8f60411edb576db798f9dff98d9a5dd7827655e 100644 (file)
@@ -18,3 +18,5 @@ classes
 .DS_STORE
 .metadata
 ordmodels/src/main/java
+tests/config.xml
+tests/models
diff --git a/.gitmodules b/.gitmodules
new file mode 100644 (file)
index 0000000..fc25778
--- /dev/null
@@ -0,0 +1,6 @@
+[submodule "tests/netconf"]
+       path = tests/netconf
+       url = https://git.opendaylight.org/gerrit/p/netconf.git
+[submodule "tests/mdsal"]
+       path = tests/mdsal
+       url = https://git.opendaylight.org/gerrit/p/mdsal.git
diff --git a/tests/build.sh b/tests/build.sh
new file mode 100755 (executable)
index 0000000..4da10a3
--- /dev/null
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+# It may require to call git submodule update --init
+
+set -e
+
+yang="\
+mdsal/model/iana/iana-afn-safi/src/main/yang/iana-afn-safi@2013-07-04.yang \
+mdsal/model/ietf/ietf-inet-types-2013-07-15/src/main/yang/ietf-inet-types@2013-07-15.yang \
+mdsal/model/ietf/ietf-yang-types-20130715/src/main/yang/ietf-yang-types@2013-07-15.yang \
+netconf/netconf/models/ietf-netconf/src/main/yang/ietf-netconf@2011-06-01.yang \
+netconf/netconf/models/ietf-netconf-notifications/src/main/yang/ietf-netconf-notifications@2012-02-06.yang \
+netconf/netconf/models/ietf-netconf-notifications/src/main/yang/notifications@2008-07-14.yang"
+
+(cd netconf/netconf/tools/netconf-testtool && mvn clean install -DskipTests)
+rm -rf schemas; mkdir -p schemas && cp -r ../ordmodels/src/main/yang/org-openroadm-* schemas
+cp ${yang} schemas
+
+exit $?
diff --git a/tests/mdsal b/tests/mdsal
new file mode 160000 (submodule)
index 0000000..3e67910
--- /dev/null
@@ -0,0 +1 @@
+Subproject commit 3e67910220d30d8ecdb29b6081b674c069dc4bfe
diff --git a/tests/netconf b/tests/netconf
new file mode 160000 (submodule)
index 0000000..dab855e
--- /dev/null
@@ -0,0 +1 @@
+Subproject commit dab855eadfc232f85bd281fdcb816cef127f13f0
diff --git a/tests/start.sh b/tests/start.sh
new file mode 100755 (executable)
index 0000000..b9e73f7
--- /dev/null
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+# Please see https://wiki.opendaylight.org/view/OpenDaylight_Controller:Netconf:Testtool
+# It's configured to run 1 node listening to 17830 (ssh)
+# You may put your configuration in config.xml
+
+# opts="${opts} --device-count 2"
+# opts="${opts} --debug true"
+# opts="${opts} --ssh tcp"
+# opts="${opts} --notification-file notif.xml"
+
+java -jar ./netconf/netconf/tools/netconf-testtool/target/netconf-testtool-1.3.0-SNAPSHOT-executable.jar \
+     --schemas-dir schemas \
+     --initial-config-xml-file config.xml \
+     ${opts}
+
+exit $?